Bug 13528 - [Mesa] mesa xdemo 'offset ' fail on mesa 7.0.2 release
Summary: [Mesa] mesa xdemo 'offset ' fail on mesa 7.0.2 release
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-04 18:02 UTC by Colin.Joe
Modified: 2008-06-26 23:37 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (34.77 KB, text/plain)
2007-12-04 18:09 UTC, Colin.Joe
Details
xorg.conf (3.64 KB, text/plain)
2007-12-04 18:09 UTC, Colin.Joe
Details
The photo about the failed case (210.09 KB, image/jpeg)
2007-12-10 00:36 UTC, Colin.Joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Colin.Joe 2007-12-04 18:02:08 UTC
System Environment:
--------------------------

--Platform:bearlake ,915gm

--Architecture(32-bit,64-bit,compatiblity):64bit & 32 bit

--2D driver:
external 2.2.0 release
commit 7f9cefffbf44a2d07b51cc13aaf2d54fcd8f2f22

--3D driver:
7.0.2 release
commit d9fa5cbfc906ae545135248fbf5086d0ba3db84a

--Xserver:
1.4 release
commit 99dd8b9414d1eb7aabc682be0b9cfd7a27eb2a6b


--Kernel:
linux-2.6.24-rc3


Bug detailed description:
-------------------------
When I run the case , the screen should draw three cubes ,the first one is the outline of a cube, the others should be filled with colour.But now ,the others draw like the first one ,without any colour.Then I turned off the dri module ,and restart the x, the result had no change . This bug can be found on mesa 7.0.2 release .



Reproduce steps:
----------------
 run offset



Current result:
----------------
three cubes without any colour .


Expected result:
----------------
run normally
Comment 1 Colin.Joe 2007-12-04 18:09:32 UTC
Created attachment 12952 [details]
Xorg.0.log
Comment 2 Colin.Joe 2007-12-04 18:09:58 UTC
Created attachment 12953 [details]
xorg.conf
Comment 3 Colin.Joe 2007-12-05 00:50:49 UTC
this case can run normally on q965 (I choosed Mesa 7.0.2 release and the latest version for test )& 945gm (mesa latest). and it failed on 945g (mesa latest) .
Comment 4 Brian Paul 2007-12-05 06:45:31 UTC
Looks OK here with the latest mesa_7_0_branch code on i915/945.  I'm not sure I understand your description of the problem though.  Maybe you could attach a screenshot of the problem.
Comment 5 Colin.Joe 2007-12-10 00:36:14 UTC
Created attachment 13011 [details]
The photo about the failed case
Comment 6 Colin.Joe 2007-12-10 00:47:56 UTC
we have updated the driver to the latest version,and this bug can still be reproduced on g965.But on q965,this case can run normally.
Comment 7 Colin.Joe 2007-12-10 00:59:18 UTC
we installed  64bit os on g965 & 32 bit os on q965 .
Comment 8 Colin.Joe 2008-01-22 21:42:41 UTC
this bug can be reproduced on mesa 7.0.3 -rc1 .
Comment 9 Colin.Joe 2008-05-21 18:48:25 UTC
this bug can't be reproduced on 7_0_branch 
Comment 10 Gordon Jin 2008-05-22 05:24:49 UTC
so marking it as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.